using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableBlackPearl : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x3FFC;
		}

		public override Item GetCropObject()
		{
			Item item = new BlackPearl();
			item.Amount = 3;
			return item;
		}

		public override int GetPickedID()
		{
			return 0xCB5;
		}

		[Constructable]
		public FarmableBlackPearl() : base( GetCropID() )
		{
			Name = "black pearl";
		}

		public FarmableBlackPearl( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadEncodedInt();
		}
	}
}
